summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index a03e66b9..f1a25d09 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -49,6 +49,9 @@ handle_race_condition() {
SAVE_ARTIFACTS=0
if [ ! -z "$NOTIFY" ] ; then NOTIFY="failure" ; fi
fi
+ # cleanup
+ rm -r $TMPDIR || true
+ if ! $BAD_LOCKFILE ; then rm -f $LOCKFILE ; fi
exec /srv/jenkins/bin/abort.sh
exit 0
}